package com.its.op.dao.mapper.its.common;

import com.its.op.dto.its.common.CongestTrafficDto;
import com.its.op.dto.its.common.DetlTrafIfscDto;
import com.its.op.dto.its.common.DetlTrafLinkDto;
import com.its.op.dto.its.common.DetlTrafRoadDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface CommonMapper {
    List<CongestTrafficDto> findAllCongestTraffic();
    //List<WeatherInfoDto> findAllWeatherInfo();

    DetlTrafLinkDto.DetlTrafLinkInfo findAllDetlTrafLink(Map<String, Long> param);
    DetlTrafIfscDto.DetlTrafIfscInfo findAllDetlTrafIfsc(Map<String, Long> param);
    DetlTrafRoadDto.DetlTrafRoadInfo findAllDetlTrafRoad(Map<String, Long> param);

    List<DetlTrafLinkDto.DetlTrafLinkInfo> findAllDetlTrafLinkHs(Map<String, Long> param);
    List<DetlTrafIfscDto.DetlTrafIfscInfo> findAllDetlTrafIfscHs(Map<String, Long> param);
    List<DetlTrafRoadDto.DetlTrafRoadInfo> findAllDetlTrafRoadHs(Map<String, Long> param);

}
